Bug 992138 - dragonegg: FTBFS in rawhide
dragonegg: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dragonegg (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-ExcludeArch-ARM F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-04 23:19 EDT by Dennis Gilmore
Modified: 2014-02-02 14:36 EST (History)
2 users (show)

See Also:
Fixed In Version: dragonegg-3.4-0.2.rc0.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-02 14:36:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 715424 None None None Never

  None (edit)
Description Dennis Gilmore 2013-08-04 23:19:41 EDT
Your package dragonegg failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5707863

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/7863/5707863/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/7863/5707863/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/7863/5707863/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Eric Smith 2013-08-04 23:47:47 EDT
It fails on ARM only.  I was able to fix one problem, reported against Debian, but there are others that I need help with, and I've notified upstream:

http://lists.cs.uiuc.edu/pipermail/llvmdev/2013-August/064556.html
Comment 2 Eric Smith 2013-08-07 17:49:55 EDT
LLVM bug:
    http://llvm.org/bugs/show_bug.cgi?id=16829
Comment 3 Fedora End Of Life 2013-09-16 12:50:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Kyle McMartin 2014-02-02 14:36:37 EST
I've fixed it to build. Whether it works is an open question. Have at it.

Note You need to log in before you can comment on or make changes to this bug.